Bug 559332 - [Beaker] RFE: Ability to clear a kickstart/pxe entry from the WebUI
Summary: [Beaker] RFE: Ability to clear a kickstart/pxe entry from the WebUI
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.4
Hardware: All
OS: Linux
low
medium vote
Target Milestone: 0.12
Assignee: Raymond Mancy
QA Contact: Qixiang Wan
URL:
Whiteboard: Provisioning
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-27 19:19 UTC by Jeff Burke
Modified: 2014-12-08 01:01 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:55:58 UTC


Attachments (Terms of Use)

Description Jeff Burke 2010-01-27 19:19:43 UTC
Description of problem:
  Currently if I provision a system the only way to remove the kickstart/pxe entry is to return the machine then take it again.

Version-Release number of selected component (if applicable):
Version - 0.4.80

In the same tab as Power or even on the default screen a button to Clear PXE would be convenient.

Comment 1 Raymond Mancy 2010-02-28 23:54:09 UTC
I'll have a look at this once the Scheduler release is done.

Comment 2 Raymond Mancy 2012-04-10 00:22:36 UTC
The 0.9 release will change how we would implement this. Let's look at it again after that.

Comment 3 Jeff Burke 2013-02-06 13:39:00 UTC
Ray,
 Would it be possible to schedule this RFE?

Thanks,
Jeff

Comment 4 Raymond Mancy 2013-02-13 04:22:15 UTC
Hi Jeff,

Do I understand right that you want the pxe to be cleared after provisioning? 
This should no longer be a problem. The pxe should be cleared in the %post of the KS. Can you confirm this is not happening? 

Thanks

Comment 5 Jeff Burke 2013-02-13 13:26:44 UTC
Hi Ray,
 Thanks for looking int this. I think my use case is different then your scenario in Comment #4. Currently if you manually provision and the install fails (it maybe a bad nightly tree) you have to schedule another provision with a know good tree so it gets to the %post section to clear the record. But if you want to try to investigate the failure during the install you have to return the machine then take it again to clear the pxe record so you now get the pxe menu during boot.

Thanks,
Jeff

Comment 6 Raymond Mancy 2013-02-13 22:04:54 UTC
Oh ok, yes that makes sense.

Comment 7 Raymond Mancy 2013-02-25 13:30:15 UTC
http://gerrit.beaker-project.org/#/c/1746/

Comment 11 Qixiang Wan 2013-03-27 08:21:21 UTC
Verified with beaker-0.11.3-1.git.210.bda2c22.
"Clear Netboot" works well as expected. During provision manual clicking the button can clear all pxe entries for that system on lab controller.

Comment 12 Dan Callaghan 2013-04-11 04:55:58 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.